| Orthanc Plugin SDK 1.3.0 Documentation of the plugin interface of Orthanc

Static Public Member Functions | List of all members
OrthancPlugins::DatabaseBackendAdapter Class Reference
Callbacks

Bridge between C and C++ database engines. More...

`#include <OrthancCppDatabasePlugin.h>`

## Static Public Member Functions
static void | Register (OrthancPluginContext *context, IDatabaseBackend &backend)

## Detailed Description

Class creating the bridge between the C low-level primitives for custom database engines, and the high-level IDatabaseBackend C++ interface.

## Member Function Documentation

## ◆ Register()

static void OrthancPlugins::DatabaseBackendAdapter::Register | ( | OrthancPluginContext * | context,
|  | IDatabaseBackend & | backend
| ) |  |
| inline static

Register a custom database back-end written in C++.

Parameters

  context | The Orthanc plugin context, as received by OrthancPluginInitialize().
  backend | Your custom database engine.

The documentation for this class was generated from the following file:

- OrthancCppDatabasePlugin.h